package com.birdsounds.identify


fun create_file_map(pkg_path: String): Map<String, String> {
    return mapOf(
        "pkg" to pkg_path,
        "file" to pkg_path.replace("-", "_").replace("/", "_")
    )
}

object Settings {

    var threshold_bird_singing: Int = 75
    var threshold_spectrogram: Int = 10
    var threshold_waveform: Int = 10;
    var spectrogram_classify_model_file = create_file_map("from_merlin/sound_id_v40.tflite");
    var spectrogram_classify_label_file = create_file_map("from_merlin/sound_id_v40.labels");

    var spectrogram_geo_model_file = create_file_map("from_merlin/geo_v40.tflite")
    var spectrogram_geo_label_file = create_file_map("from_merlin/geo_v40.labels")

    var spectrogram_generate_model_file =
        create_file_map("from_merlin/msid685v4_spectrogram.tflite");

    var waveform_classify_model_file = create_file_map("2024_08_16/audio-model.tflite");
    var waveform_meta_model_file = create_file_map("2024_08_16/meta-model.tflite");

    var short_to_long_map = create_file_map("from_merlin/short_to_long.map");


    val all_files = listOf(
        spectrogram_classify_model_file,
        spectrogram_classify_label_file,
        spectrogram_geo_model_file,
        spectrogram_geo_label_file,
        spectrogram_generate_model_file,
        waveform_classify_model_file,
        waveform_meta_model_file,
        short_to_long_map
    )


}
